ZARAFA-PASSWD(1)

NAME
zarafa-passwd - Change Zarafa user password.

SYNOPSIS

zarafa-passwd ACTION [OPTION...]

DESCRIPTION

This tool can be used to change a user password. The Zarafa server must be running for zarafa-passwd to work.

If no action is given, an error message is printed. When invalid actions or not enough options for an action are given, an error message is printed.

The Zarafa passwd works only with the dbplugin. Please see the EXTERNAL USERS() section for more information.

ACTIONS

zarafa-passwd needs an action command with the appropriate options. Valid actions are:

-u username
    Update the password. Valid parameters are: [-p] and -o

    Default the password can be entered on the password prompt. The password will not be shown.

OPTIONS

The options used by actions are as follows:

-p 'new password'
    Set new password for a user. This option is only valid with the -o.

-o oldpassword
    old password of a user. This option is only valid with the -p.

--host, -h path
    Connect to the Zarafa server through path, e.g. file:///path/to/socket. Default: file:///var/run/zarafad/server.sock. This option can always be specified.

AUTHOR

Written by Zarafa.

SEE ALSO

zarafa-server(8), zarafa-server.cfg(5)